Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HTMLTable.CellFormatter

    java.lang.Object
      com.google.gwt.user.client.ui.HTMLTable.CellFormatter

Direct Known Subclasses:
  FlexTable.FlexCellFormatter

Enclosing class:
  HTMLTable

    public class HTMLTable.CellFormatter

extends java.lang.Object

This class contains methods used to format a table's cells.

Constructor Summary
`HTMLTable.CellFormatter()`

Method Summary
`void` | `addStyleName(int row, int column, java.lang.String styleName)` Adds a style to the specified cell.
`protected Element` | `ensureElement(int row, int column)` Gets the element associated with a cell.
`protected java.lang.String` | `getAttr(int row, int column, java.lang.String attr)` Convenience methods to get an attribute on a cell.
`Element` | `getElement(int row, int column)` Gets the TD element representing the specified cell.
`java.lang.String` | `getStyleName(int row, int column)` Gets the style of a specified cell.
`java.lang.String` | `getStylePrimaryName(int row, int column)` Gets the primary style of a specified cell.
`boolean` | `isVisible(int row, int column)` Determines whether or not this cell is visible.
`void` | `removeStyleName(int row, int column, java.lang.String styleName)` Removes a style from the specified cell.
`void` | `setAlignment(int row, int column, HasHorizontalAlignment.HorizontalAlignmentConstant hAlign, HasVerticalAlignment.VerticalAlignmentConstant vAlign)` Sets the horizontal and vertical alignment of the specified cell's contents.
`protected void` | `setAttr(int row, int column, java.lang.String attrName, java.lang.String value)` Convenience methods to set an attribute on a cell.
`void` | `setHeight(int row, int column, java.lang.String height)` Sets the height of the specified cell.
`void` | `setHorizontalAlignment(int row, int column, HasHorizontalAlignment.HorizontalAlignmentConstant align)` Sets the horizontal alignment of the specified cell.
`void` | `setStyleName(int row, int column, java.lang.String styleName)` Sets the style name associated with the specified cell.
`void` | `setStylePrimaryName(int row, int column, java.lang.String styleName)` Sets the primary style name associated with the specified cell.
`void` | `setVerticalAlignment(int row, int column, HasVerticalAlignment.VerticalAlignmentConstant align)` Sets the vertical alignment of the specified cell.
`void` | `setVisible(int row, int column, boolean visible)` Sets whether this cell is visible via the display style property.
`void` | `setWidth(int row, int column, java.lang.String width)` Sets the width of the specified cell.
`void` | `setWordWrap(int row, int column, boolean wrap)` Sets whether the specified cell will allow word wrapping of its contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLTable.CellFormatter

    public HTMLTable.CellFormatter()

Method Detail

### addStyleName

    public void addStyleName(int row,
                             int column,
                             java.lang.String styleName)

  Adds a style to the specified cell.

  Parameters:
    `row` - the cell's row
    `column` - the cell's column
    `styleName` - the style name to be added
  See Also:
    `UIObject.addStyleName(String)`

### getElement

    public Element getElement(int row,
                              int column)

  Gets the TD element representing the specified cell.

  Parameters:
    `row` - the row of the cell to be retrieved
    `column` - the column of the cell to be retrieved
  Returns:
    the column's TD element
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getStyleName

    public java.lang.String getStyleName(int row,
                                         int column)

  Gets the style of a specified cell.

  Parameters:
    `row` - the cell's row
    `column` - the cell's column
  Returns:
    returns the style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.getStyleName()`

### getStylePrimaryName

    public java.lang.String getStylePrimaryName(int row,
                                                int column)

  Gets the primary style of a specified cell.

  Parameters:
    `row` - the cell's row
    `column` - the cell's column
  Returns:
    returns the style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.getStylePrimaryName()`

### isVisible

    public boolean isVisible(int row,
                             int column)

  Determines whether or not this cell is visible.

  Parameters:
    `row` - the row of the cell whose visibility is to be set
    `column` - the column of the cell whose visibility is to be set
  Returns:
    `true` if the object is visible

### removeStyleName

    public void removeStyleName(int row,
                                int column,
                                java.lang.String styleName)

  Removes a style from the specified cell.

  Parameters:
    `row` - the cell's row
    `column` - the cell's column
    `styleName` - the style name to be removed
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.removeStyleName(String)`

### setAlignment

    public void setAlignment(int row,
                             int column,
                             HasHorizontalAlignment.HorizontalAlignmentConstant hAlign,
                             HasVerticalAlignment.VerticalAlignmentConstant vAlign)

  Sets the horizontal and vertical alignment of the specified cell's contents.

  Parameters:
    `row` - the row of the cell whose alignment is to be set
    `column` - the cell whose alignment is to be set
    `hAlign` - the cell's new horizontal alignment as specified in `HasHorizontalAlignment`
    `vAlign` - the cell's new vertical alignment as specified in `HasVerticalAlignment`
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setHeight

    public void setHeight(int row,
                          int column,
                          java.lang.String height)

  Sets the height of the specified cell.

  Parameters:
    `row` - the row of the cell whose height is to be set
    `column` - the cell whose height is to be set
    `height` - the cell's new height, in CSS units
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setHorizontalAlignment

    public void setHorizontalAlignment(int row,
                                       int column,
                                       HasHorizontalAlignment.HorizontalAlignmentConstant align)

  Sets the horizontal alignment of the specified cell.

  Parameters:
    `row` - the row of the cell whose alignment is to be set
    `column` - the cell whose alignment is to be set
    `align` - the cell's new horizontal alignment as specified in `HasHorizontalAlignment`.
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setStyleName

    public void setStyleName(int row,
                             int column,
                             java.lang.String styleName)

  Sets the style name associated with the specified cell.

  Parameters:
    `row` - the row of the cell whose style name is to be set
    `column` - the column of the cell whose style name is to be set
    `styleName` - the new style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.setStyleName(String)`

### setStylePrimaryName

    public void setStylePrimaryName(int row,
                                    int column,
                                    java.lang.String styleName)

  Sets the primary style name associated with the specified cell.

  Parameters:
    `row` - the row of the cell whose style name is to be set
    `column` - the column of the cell whose style name is to be set
    `styleName` - the new style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.setStylePrimaryName(String)`

### setVerticalAlignment

    public void setVerticalAlignment(int row,
                                     int column,
                                     HasVerticalAlignment.VerticalAlignmentConstant align)

  Sets the vertical alignment of the specified cell.

  Parameters:
    `row` - the row of the cell whose alignment is to be set
    `column` - the cell whose alignment is to be set
    `align` - the cell's new vertical alignment as specified in `HasVerticalAlignment`.
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setVisible

    public void setVisible(int row,
                           int column,
                           boolean visible)

  Sets whether this cell is visible via the display style property. The other cells in the row will all shift left to fill the cell's space. So, for example a table with (0,1,2) will become (1,2) if cell 1 is hidden.

  Parameters:
    `row` - the row of the cell whose visibility is to be set
    `column` - the column of the cell whose visibility is to be set
    `visible` - `true` to show the cell, `false` to hide it

### setWidth

    public void setWidth(int row,
                         int column,
                         java.lang.String width)

  Sets the width of the specified cell.

  Parameters:
    `row` - the row of the cell whose width is to be set
    `column` - the cell whose width is to be set
    `width` - the cell's new width, in CSS units
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setWordWrap

    public void setWordWrap(int row,
                            int column,
                            boolean wrap)

  Sets whether the specified cell will allow word wrapping of its contents.

  Parameters:
    `row` - the row of the cell whose word-wrap is to be set
    `column` - the cell whose word-wrap is to be set
    `wrap` - `false` to disable word wrapping in this cell
  Throws:
    `java.lang.IndexOutOfBoundsException`

### ensureElement

    protected Element ensureElement(int row,
                                    int column)

  Gets the element associated with a cell. If it does not exist and the subtype allows creation of elements, creates it.

  Parameters:
    `row` - the cell's row
    `column` - the cell's column
  Returns:
    the cell's element
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getAttr

    protected java.lang.String getAttr(int row,
                                       int column,
                                       java.lang.String attr)

  Convenience methods to get an attribute on a cell.

  Parameters:
    `row` - cell's row
    `column` - cell's column
    `attr` - attribute to get
  Returns:
    the attribute's value
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setAttr

    protected void setAttr(int row,
                           int column,
                           java.lang.String attrName,
                           java.lang.String value)

  Convenience methods to set an attribute on a cell.

  Parameters:
    `row` - cell's row
    `column` - cell's column
    `attrName` - attribute to set
    `value` - value to set
  Throws:
    `java.lang.IndexOutOfBoundsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD